Subject: Re: [PATCH, TAKE 2] [IPV6] XFRM: extract xfrm_lookup() from ip6_dst_lookup() (is Re: [PATCH][IPv6] separation xfrm_lookup from ip6_dst_lookup)

From: Brian Haley <[email-masked]>
Date: Tue, 26 Oct 2004 10:29:11 -0400

YOSHIFUJI Hideaki / 吉藤英明 wrote:

>>Attached is a patch that fixes that and also brings the rt0_hdr struct 
>>in-line with RFC 3542 by removing the "bitmap" field.
> 
> Good catch but please do not change bitmap.

I understand that was more cosmetic since it's a kernel header, but can
you explain it any further?  I couldn't find any other occurences than 
those I fixed.  The user-space version in netinet/ip6.h is even more 
broken and I'm pushing that to the glibc people now too.

Thanks,

-Brian